import boto
import json
import re

def sync(access_key=None, access_key_secret=None, repo='route53'):
    aws = boto.connect_route53(access_key, access_key_secret)

    zones = aws.get_all_hosted_zones()
    
    for zone in zones['ListHostedZonesResponse']['HostedZones']:
        zone_data = []
        id = re.sub(r'/hostedzone/','',zone['Id'])
        rrecords = aws.get_all_rrsets(id)
        for record in rrecords:
            if record.alias_dns_name:
                body = record.alias_dns_name
            else:
                body = record.resource_records
            data = {
                'name': record.name,
                'type': record.type,
                'body': body,
                'ttl' : record.ttl
            }
            zone_data.append(data)
        local_file = '{0}/{1}json'.format(repo, zone['Name'])
        f = open(local_file, 'w')
        f.write(json.dumps(zone_data, sort_keys=True, indent=4, separators=(',', ': ')))
        f.close()
